Package com.tietoenator.trip.jxp.database

# Enum Class TdbFieldGroupType

java.lang.Object
java.lang.Enum<TdbFieldGroupType>
com.tietoenator.trip.jxp.database.TdbFieldGroupType

All Implemented Interfaces:
  `Serializable`, `Comparable<TdbFieldGroupType>`, `Constable`

public enum TdbFieldGroupType extends Enum<TdbFieldGroupType>
An enumeration of the possible field group types.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Structural`
  Structural field group.
  `Tuple`
  Field group that defines a tuple structure.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Return the TRIPxpi protocol name for the current field group type identifier
  `static TdbFieldGroupType`
  `getTypeof(String name)`
  Retrieve the field group type ID that matches the provided name
  `static TdbFieldGroupType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TdbFieldGroupType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Structural

    public static final TdbFieldGroupType Structural
    Structural field group. Used for searching and to inform applications and users about related fields.

  - ### Tuple

    public static final TdbFieldGroupType Tuple
    Field group that defines a tuple structure. In addition to the behaviors of strucural field groups, tuple field groups inform the TRIP kernel that the fields in the group are tupled and so must have the same number of subfields.

- ## Method Details

  - ### values

    public static TdbFieldGroupType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TdbFieldGroupType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getTypeof

    public static TdbFieldGroupType getTypeof(String name)
    Retrieve the field group type ID that matches the provided name
    Parameters:
      `name` - The name to match
    Returns:
      The type ID

  - ### getName

    public String getName()
    Return the TRIPxpi protocol name for the current field group type identifier
    Returns:
      The name